Update time entry
curl --request PATCH \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/time-tracking/time-entries/{timeEntryId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"external_id": "<string>",
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-12-25",
"duration_minutes": 123,
"billable": true,
"description": "<string>",
"invoice_line_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"memo": "<string>",
"metadata": {}
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/time-tracking/time-entries/{timeEntryId}"
payload = {
"external_id": "<string>",
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-12-25",
"duration_minutes": 123,
"billable": True,
"description": "<string>",
"invoice_line_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"memo": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
external_id: '<string>',
service_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customer_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
date: '2023-12-25',
duration_minutes: 123,
billable: true,
description: '<string>',
invoice_line_item_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
memo: '<string>',
metadata: {}
})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/time-tracking/time-entries/{timeEntryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"type": "com.layerfi.routers.ApiService",
"external_id": "<string>",
"account_identifier": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"ledger_account": {
"type": "Single_Chart_Account",
"id": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "Current Assets",
"account_number": "4000",
"stable_name": {
"type": "StableName",
"stable_name": "CURRENT_ASSETS"
},
"account_type": {
"display_name": "Asset"
},
"account_subtype": {
"display_name": "Current Assets"
}
},
"billable_rate_per_minute_amount": 123,
"memo": "<string>",
"metadata": {},
"deleted_at": "2023-11-07T05:31:56Z"
},
"date": "2023-12-25",
"duration_minutes": 123,
"billable": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"type": "com.layerfi.routers.ApiTimeEntry",
"external_id": "<string>",
"customer": {
"type": "CustomerData",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "31415926535",
"individual_name": "<string>",
"company_name": "<string>",
"email": "<string>",
"mobile_phone": "<string>",
"office_phone": "<string>",
"address_string": "<string>",
"memo": "<string>",
"status": "ACTIVE",
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
]
},
"description": "<string>",
"invoice_line_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"memo": "<string>",
"metadata": {},
"deleted_at": "2023-11-07T05:31:56Z"
}
}Time Entries
Update time entry
Partially updates a time entry. Only the fields provided in the request body will be updated.
PATCH
/
v1
/
businesses
/
{businessId}
/
time-tracking
/
time-entries
/
{timeEntryId}
Update time entry
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the business.
The UUID of the time entry.
Body
application/json
Partial update parameters for a time entry. Only specified fields will be updated.
Update the external identifier.
Update the associated service.
Update the customer. Set to null to remove customer association.
Update the date.
Update the duration in minutes.
Update billable status.
Update the description.
Link or unlink the time entry from an invoice line item.
Update the memo.
Update the custom metadata.
Response
Time entry updated successfully.
Show child attributes
Show child attributes
⌘I